{% from 'macros.jinja2' import oxford_commas, evidence_for, probability,
                            naturalinstruments, naturalfar,
                            naturalclassifications, naturalotherpipelines,
                            citations, renamegroup %}

{% filter rewrap %}
The {{pipeline}} {{renamegroup(group)}} analysis {% if pipeline|lower in citations %}
({{citations[pipeline|lower]}}){% endif %} identified candidate
{{gracedb_id}} during real-time processing of data from
{{naturalinstruments(instruments)}} at {{utctime}} UTC (GPS time: {{gpstime}}).
{% if other_pipelines|length > 0 %}
This candidate was also found by the {{naturalotherpipelines(other_pipelines)}}
analysis pipeline{% if other_pipelines|length > 1 %}s{% endif %}.
{% endif %}

{% if change_significance_statement %}
This gravitational wave candidate is not significant enough on its own to produce a public alert
but its coincidence with the {% if SNEWS %}SNEWS neutrino{% endif %}{% if GRB %}GRB{% endif %} trigger increases its significance.
{% else %}
{{gracedb_id}} is an event of interest because its false alarm rate, as
determined by the online analysis, is {{naturalfar(far)}}.
{% endif %}
The event's properties can be found at this URL:

{{ gracedb_service_url }}{{ gracedb_id }}

{% if classifications|length > 0 %}
The classification of the signal, in order of descending probability,
is {{naturalclassifications(classifications)}}.
{% endif %}

{% if prob_has_ns is not none %}
If the candidate is astrophysical in origin, there
is {{evidence_for(prob_has_ns)}} the lighter compact object having a mass
<2.83 solar masses (ProbHasNS: {{probability(prob_has_ns)}}). This 2.83 solar
mass cutoff corresponds to the maximum neutron star mass assuming a very stiff
(2H) equation of state. Assuming this neutron star equation of state and the
masses and spins inferred from the signal, there is
{{evidence_for(prob_has_remnant)}} matter outside the final compact object
(ProbHasRemnant: {{probability(prob_has_remnant)}}).
{% endif %}

{% if skymaps|length == 0 %}
No{% else %}{{ skymaps|length|apnumber|capitalize }}{% endif %} skymap{% if skymaps|length == 1 %} is{% else %}s are{% endif %} available at this time{% if skymaps|length > 0 %} and can be retrieved from the GraceDB event page:{% else %}.{% endif %}

{% for skymap in skymaps %}
 * {{skymap.filename}}, an {% if skymap.alert_type == 'initial' %}initial{% else %}updated{% endif %} localization generated by {{skymap.pipeline}},
   distributed via GCN notice about {{skymap.latency|naturaldelta}} after the event
{% endfor %}

{% if skymaps|length != 0 %}
The preferred skymap at this time is {{preferred_skymap}}.
For the {{preferred_skymap}} skymap, the {{cl}}% credible region is
{% if not include_ellipse %}
{{greedy_area|round|int}} deg2.
{% else %}
well fit by an ellipse with an area of {{ellipse_area|round|int}} deg2 described
by the following DS9 region (right ascension, declination, semi-major axis,
semi-minor axis, position angle of the semi-minor axis):
   icrs; ellipse(
      {{- ra.to('15 arcsec').round().to_string(unit='hourangle', pad=True,
                                               alwayssign=False) }},
      {{- ' ' }}{{ dec.to('arcsec').round().to_string(unit='deg', pad=True,
                                                      alwayssign=True) }},
      {{- ' ' }}{{ a.round().to_string(fields=1, unit='deg') }},
      {{- ' ' }}{{ b.round().to_string(fields=1, unit='deg') }},
      {{- ' ' }}{{ pa.round().to_string(fields=1, unit='deg') }})
{% endif %}
{% if distmu %}
Marginalized over the whole sky, the a posteriori luminosity distance estimate is {{distmu|round|int}} +/- {{distsig|round|int}} Mpc.
{% endif %}
{% endif %}
{% endfilter %}
